Loading...
Searching...
No Matches
TrcMeasurement::Values Class Reference

Class that holds actual measurement values. More...

Inheritance diagram for TrcMeasurement::Values:

## Public Member Functions

virtual OFCondition | get (const Float32 *&dataValues, unsigned long &numValues, const Uint32 *&trackPointIndices)
| Get measurement values and the point indices (if applicable).
virtual | ~Values ()
| Destructor, frees memory.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of component.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Public Member Functions

static OFCondition | create (const Float32 *dataValues, const unsigned long numValues, TrcMeasurement::Values *&values)
| Create TrcMeasurement::Values from minimal data.
static OFCondition | createWithIndices (const Float32 *dataValues, const unsigned long numValues, const Uint32 *trackPointIndices, TrcMeasurement::Values *&values)
| Create TrcMeasurement::Values from minimal data by providing measurement values as well as indices of those points those measurement values apply to.
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.

## Protected Member Functions

| Values ()
| Protected constructor, use create() method to create a new track set.

## Friends

class | DcmIODUtil
| Allow read/write functions in DcmIODUtil to access class internals.

## Additional Inherited Members

Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class that holds actual measurement values.

## Member Function Documentation

## create()

OFCondition TrcMeasurement::Values::create | ( | const Float32 * | dataValues,
|  | const unsigned long | numValues,
|  | TrcMeasurement::Values *& | values )

static

Create TrcMeasurement::Values from minimal data.

Parameters

  dataValues | The measurement values
  numValues | The number of measurement values. Must be equal to the numbers of data points in the related track.
  values | The measurement values

Returns
  EC_Normal if creating was successful, error otherwise

## createWithIndices()

OFCondition TrcMeasurement::Values::createWithIndices | ( | const Float32 * | dataValues,
|  | const unsigned long | numValues,
|  | const Uint32 * | trackPointIndices,
|  | TrcMeasurement::Values *& | values )

static

Create TrcMeasurement::Values from minimal data by providing measurement values as well as indices of those points those measurement values apply to.

Parameters

  dataValues | The measurement values
  numValues | The number of measurement values, must be equal or less to number of data points in the related track.
  trackPointIndices | The indices of the points the measurement values apply to
  values | The measurement values

Returns
  EC_Normal if creating was successful, error otherwise

## get()

virtual OFCondition TrcMeasurement::Values::get | ( | const Float32 *& | dataValues,
|  | unsigned long & | numValues,
|  | const Uint32 *& | trackPointIndices )

virtual

Get measurement values and the point indices (if applicable).

Parameters

  dataValues | Pointer to memory buffer with returned values
  numValues | The number of measurement values returned in dataValues
  trackPointIndices | The indices of the points the measurement values apply to. If there is a measurement value for each points in the track, NULL will be returned here.

Returns
  EC_Normal if measurement values could be retrieved, error otherwise.

## getName()

virtual OFString TrcMeasurement::Values::getName | ( |  | ) | const

virtual

Get name of component.

Returns
  Name of the module ("MeasurementValuesSequenceItem")

Implements IODComponent.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trcmeasurement.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0